body {
  margin: 0;
  background-color: #fef3e2;
  color: #1a1a1a;
}

p, a, button, li, span, nav {
  font-family: 'Montserrat', sans-serif;
}

h1, h2, h3 {
  font-family: 'La Signora', serif;
  font-weight: normal;
}

/* NAVIGATION BAR FOR INDEX */
.navbar-index {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
  background-color: #961723;
  color: #fef3e2;
}

.logo-index img {
  height: 2rem;
  width: auto;
}

.nav-links-index a {
  margin: 0 1.3rem;
  text-decoration: none;
  color: #fef3e2;
  font-weight: 500;
}

.nav-links-index a.active {
  font-weight: bold;
}

.burger-index {
  display: block;
  font-size: 1.5rem;
  cursor: pointer;
  color: #fef3e2;
}

/* NAVIGATION BAR FOR OTHER PAGES */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
  background-color:#fef3e2; 
  color: #961723 ;
}

.logo img {
  height: 2rem;
  width: auto;
}

.nav-links a {
  margin: 0 1.3rem;
  text-decoration: none;
  color: #961723;
  font-weight: 500;
}

.nav-links a.active {
  font-weight: bold;
}

.burger {
  display: block;
  font-size: 1.5rem;
  cursor: pointer;
  color: #961723;
}

/* SIDE NAV */
.side-nav {
  position: fixed;
  top: 0;
  right: 0;
  width: 15.625rem; /* 250px */
  height: 100%;
  background-color: #fef3e2;
  box-shadow: -2px 0 10px rgba(0, 0, 0, 0.2);
  padding: 2rem;
  transform: translateX(100%); 
  transition: transform 0.3s ease;
  z-index: 1001;
}
.side-nav.active {
  transform: translateX(0); 
}

.side-nav a {
  display: block;
  margin: 1rem 0;
  color: #1a1a1a;
  text-decoration: none;
  font-weight: bold;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  display: none;
}
.overlay.active {
  display: block;
}

.side-text h2 {
  color: #961723 ;
}

/* HOMEPAGE */

/* HERO */
.hero {
  background-image: url('images/hero-bg.jpg');
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 110vh; 
  padding: 0 1rem;
}

.hero h1 {
  font-size: 7rem;
  margin-bottom: 60px;
  color: #fef3e2;
}

.hero-title-home {
  font-size: 4rem;
  margin-bottom: 1rem;
  color: #fef3e2;
}

.hero-subtitle {
  max-width: 43rem;
  margin: 0 auto;
  font-size: 1.1rem;
  line-height: 1.3;
  color: #fef3e2;
}

/* HI SECTION */
.hi-section {
  background-image: url('images/hi-background.jpg');
  background-size: cover;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 3rem;
  padding: 100px 100px;
  /* width: 100vw; */
}

.hi-section h2 {
  font-size: 3rem;
}

.hi-text {
  flex: 1;
}

.hi-text h2 {
  font-family: 'La Signora', serif;
  font-size: 6rem;
  color: #961723;
  margin-bottom: 1.5rem;
}

.hi-text p {
  font-size: 1.1rem;
  line-height: 1.7;
  margin-bottom: 2rem;
  color: #1a1a1a;
}

.hi-text button {
  padding: 0.75rem 1.75rem;
  background-color: #961723;
  color: #fef3e2;
  border: none;
  border-radius: 0.4rem;
  font-size: 1rem;
  cursor: pointer;
  font-weight: 600;
}

.hi-text button:hover {
  background-color: #961723;
  color: #fef3e2;
}

.hi-img {
  flex: 1;
  display: flex;
  justify-content: center;
}

.hi-img img {
  width: auto;
  height: auto;
}

/* IDEAS SECTION */
.ideas-section {
  height: 100vh;
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  position: relative;
  padding: 0 1rem;
}

.ideas-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.ideas-section h1.hero-title {
  font-family: 'La Signora', serif;
  font-size: 4rem;
  color: #fef3e2;
  margin-bottom: 1rem;
  line-height: 1.2;
}

.ideas-text button {
  background-color: #fef3e2;
  color: #7b0f17;
  border: none;
  padding: 0.75rem 1.5rem;
  font-size: 1rem;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  font-weight: 600;
}

.ideas-text button:hover {
  background-color: #961723;
  color: #fef3e2;
}

/* CONTACT SECTION DI PAGE HOME, SERVICES */
.contact-section {
  display: flex;
  flex-direction: row;
  height: 70vh;
}

/* Bagian gambar (kiri) */
.contact-img {
  flex: 3;
}

.contact-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* Bagian teks (kanan) */
.contact-text {
  flex: 2;
  background-color: #961723; 
  color: #fef3e2;
  padding: 4rem 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.contact-text h2 {
  font-size: 3rem;
  font-family: 'La Signora', serif;
  margin-bottom: 1rem;
  margin-left: 3rem;
}

.contact-text p {
  font-size: 1rem;
  line-height: 1.7;
  margin-bottom: 2rem;
  color: #fef3e2;
  max-width: 30rem;
  margin-left: 3rem;
}

.contact-text p strong {
  font-weight: bold;
  color: #fef3e2;
}

.contact-button button {
  background-color: #fef3e2; 
  color: #7b0f17;
  border: none;
  padding: 0.75rem 1.75rem;
  font-size: 1rem;
  font-weight: 600;
  margin-left: 3rem;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.contact-button button:hover {
  background-color: #fef3e2dd;
}

/* SKILLS SECTION IN ABOUT PAGES */
.skills-section {
  display: flex;
  flex-wrap: wrap;
  height: 86.8vh;
  width: 100%;
}

.skills-left {
  flex: 1;
  background-color: #971B25;
  color: #fef3e2;
  padding: 4rem 3rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  max-height: 100%;
}

.skills-left h2 {
  font-family: 'La Signora', serif;
  font-size: 3rem;
  margin-bottom: 2rem;
  color: #fef3e2;
}

.skills-left ul {
  list-style-type: disc;
  padding-left: 1.5rem;
}

.skills-left li {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.25rem;
  margin-bottom: 1rem;
  color: #fef3e2;
}

.skills-right {
  flex: 2;
  display: flex;
  height: 100%;            
}

.skill-tool {
  flex: 1;
  max-height: 100%;              
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: center;
}

.skill-tool span {
  background: rgba(0, 0, 0, 0.5);
  color: #fef3e2;
  padding: 0.5rem 1rem;
  font-size: 1.1rem;
  font-weight: bold;
  font-family: 'Montserrat', sans-serif;
  position: absolute;
  bottom: 2rem;
}

/* WHY-ME SECTION IN SERVICES PAGE*/
.whyme {
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  align-items: center; 
  justify-content: center; 
  text-align: center;
  height: 75vh; 
  padding: 0 1rem;
}

.whyme h1 {
  font-family: 'La Signora', serif;
  font-size: 5rem;
  margin-bottom: 60px;
  color: #fef3e2;
  text-align: center;
}

.whyme-title {
  font-size: 3rem;
  margin-bottom: 1rem;
  color: #fef3e2;
}

.whyme-subtitle {
  max-width: 43.75rem;
  margin: 0 auto;
  font-size: 1.1rem;
  line-height: 1.6;
  color: #fef3e2;
}

/* PROJECT PAGES */


/* PROJECTS SECTION*/
.project-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 32px; 
  padding-top: 32px
}

.project-card {
  width: 100%;
  max-width: 400px;
  margin: auto;
}

.project-card img {
  width: 100%;
  display: block;
}

.project-info {
  text-align: center;
  margin-top: 1rem;
}

.project-info h3 {
  font-size: 1.5rem;
  margin: 0.5rem 0;
}

.project-info p {
  font-size: 1rem;
}

.project-info button {
  padding: 0.5rem 1.25rem;
  background-color: #7b0f17;
  color: #fef3e2;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.project-info button:hover {
  background-color: #5c0b12;
}

/* TESTIMONY SECTION */
.testimony-section {
  background-color: #961723;
  padding: 4rem 2rem;
  text-align: center;
  color: #fef3e2;
}

.testimony-title {
  font-family: 'La Signora', serif;
  font-size: 2.5rem;
  margin-bottom: 2rem;
}

.testimony-container {
  display: flex;
  justify-content: center;
  gap: 2rem;
  flex-wrap: wrap;
}

.testimony-card {
  background-color: #fef3e2;
  color: #1a1a1a;
  padding: 2rem;
  border-radius: 12px;
  max-width: 400px;
  text-align: left;
}

.quote-stars {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}

.quote {
  font-size: 2rem;
  color: #961723;
}

.stars {
  color: #f5a623;
  font-size: 1.2rem;
}

.client-info {
  display: flex;
  align-items: center;
  justify-content: center;  
  gap: 1rem;
  margin-top: 1.5rem;
}

.client-info img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  object-fit: cover;
}

/* CONTACT SECTION DI PAGE PROJECTS*/
.contactprojects-section {
  display: flex;
  flex-direction: row;
  height: 70vh;
}

/* Bagian gambar (kiri) */
.contactprojects-img {
  flex: 3;
}

.contactprojects-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* Bagian teks (kanan) */
.contactprojects-text {
  flex: 2;
  background-color: #fef3e2; 
  color: #212121;
  padding: 4rem 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.contactprojects-text h2 {
  font-size: 3rem;
  font-family: 'La Signora', serif;
  margin-bottom: 1rem;
  margin-left: 3rem;
}

.contactprojects-text p {
  font-size: 1rem;
  line-height: 1.7;
  margin-bottom: 2rem;
  color: #212121;
  max-width: 30rem;
  margin-left: 3rem;
}

.contactprojects-text p strong {
  font-weight: bold;
  color: #212121;
}

.contactprojects-button button {
  background-color: #961723; 
  color: #fef3e2;
  border: none;
  padding: 0.75rem 1.75rem;
  font-size: 1rem;
  font-weight: 600;
  margin-left: 3rem;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.contactprojects-button button:hover {
  background-color:  #6f101a;
}

/* PROJECT DETAIL PAGES */
.project-showcase {
  display: flex;
  background-color: #fef3e2;
  height: 120vh;
}

.project-img {
  flex: 1;
  overflow: hidden;
  height: 100%;
}

.project-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.project-info {
  flex: 1;
  display: flex;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  text-align: left;          
  gap: 1rem;                 
}

.project-hashtag {
  font-style: italic;
  font-weight: bold;
  color: #333;
  margin: 0rem 4rem;
}

.project-title {
  font-size: 4rem;
  color: #961723;
  margin: 0.5rem 4rem;
  font-family: 'La Signora', serif;
  line-height: 4rem;
}

.project-tags {
  margin: 1rem 4rem;
}

.tag {
  background-color: #961723;
  color: #fef3e2;
  padding: 0.3rem 1rem;
  border-radius: 20px;
  margin-right: 0.5rem;
  font-size: 0.9rem;
}

.project-desc {
  font-size: 1rem;
  color: #333;
  line-height: 1.6;
  margin: 1rem 4rem;
}

.project-keywords {
  margin: 1rem 4rem;
  font-weight: bold;
  color: #333;
}

.project-nav {
  display: flex;
  gap: 1rem;
    margin: 1rem 4rem;
  justify-content: flex-end;
  padding-right: 10px;
}

.nav-btn {
  background-color: #961723;
  color: #fef3e2;
  border: none;
  padding: 0.6rem 1rem;
  border-radius: 6px;
  cursor: pointer;
  font-size: 1.2rem;
}

/* CONTACT PAGES */
.contact-page {
  display: flex;
  flex-direction: row;
  height: 100vh;
}

/* Bagian gambar (kiri) */
.contactpage-img {
  flex: 3;
}

.contactpage-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* Bagian teks (kanan) */
.contactpage-text {
  flex: 2;
  background-color: #fef3e2; 
  color: #212121;
  padding: 4rem 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.contactpage-text h2 {
  font-size: 5rem;
  font-family: 'La Signora', serif;
  margin-bottom: 1rem;
  margin-left: 3rem;
}

.contactpage-text p {
  font-size: 1rem;
  line-height: 1.7;
  margin-bottom: 2rem;
  color: #212121;
  max-width: 30rem;
  margin-left: 3rem;
}

.contactpage-button button {
  background-color: #971B25; 
  color: #fef3e2;
  border: none;
  padding: 0.75rem 1.75rem;
  font-size: 1rem;
  font-weight: 600;
  margin-left: 3rem;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.contactpage-button button:hover {
  background-color: #971B25;
}

/* FOOTER */
footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
  background-color: #fef3e2;
  border-top: 1px solid #ccc;
}

.footer-left {
  font-weight: bold;
}

.footer-right img {
  height: 1.25rem;
  margin-left: 1rem;
  vertical-align: middle;
}


/* FLIP CARD */
.flip-card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 32px;
  padding: 2rem;
}

.flip-card {
  width: 250px;
  height: 350px;
  perspective: 1000px;
}

.flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.row-break {
  flex-basis: 100%;
  height: 0;
}


.flip-card:hover .flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
}

.flip-card-front img,
.flip-card-back img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.flip-card-back {
  transform: rotateY(180deg);
}

/* RESPONSIVE */
@media (max-width: 48rem) {
  .burger {
    display: block;
  }

  .nav-links {
    display: none;
  }
}